package it.integry.integrywmsnative.gest.spedizione.dialogs.row_info.info_situazione_articolo.ui;

import java.math.BigDecimal;
import java.time.LocalDate;

import it.integry.integrywmsnative.core.model.MtbAart;
import it.integry.integrywmsnative.core.model.MvwSitArtUdcDetInventario;

public class DialogInfoSituazioneArticoloAvailableListItem {
    private String gestione;
    private LocalDate dataCollo;
    private String serCollo;
    private Integer numCollo;
    private Integer segno;
    private String codMdep;
    private String posizione;
    private Integer priorita;
    private String codGruppo;
    private String gruppo;
    private String codSgruppo;
    private String sottogruppo;
    private String codMart;
    private String diacod;
    private String descrizioneEstesa;
    private String partitaMag;
    private String codJcom;
    private String commessa;
    private String untMis;
    private BigDecimal qtaCol;
    private BigDecimal numCnf;
    private BigDecimal qtaCnf;
    private BigDecimal pesoNettoKg;
    private BigDecimal pesoLordoKg;
    private String codJfas;
    private LocalDate dataScad;
    private MtbAart mtbAart;

    private boolean partitaMagMatch;
    private boolean commessaMatch;

    public String getGestione() {
        return gestione;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setGestione(String gestione) {
        this.gestione = gestione;
        return this;
    }

    public LocalDate getDataCollo() {
        return dataCollo;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setDataCollo(LocalDate dataCollo) {
        this.dataCollo = dataCollo;
        return this;
    }

    public String getSerCollo() {
        return serCollo;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setSerCollo(String serCollo) {
        this.serCollo = serCollo;
        return this;
    }

    public Integer getNumCollo() {
        return numCollo;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setNumCollo(Integer numCollo) {
        this.numCollo = numCollo;
        return this;
    }

    public Integer getSegno() {
        return segno;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setSegno(Integer segno) {
        this.segno = segno;
        return this;
    }

    public String getCodMdep() {
        return codMdep;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setCodMdep(String codMdep) {
        this.codMdep = codMdep;
        return this;
    }

    public String getPosizione() {
        return posizione;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setPosizione(String posizione) {
        this.posizione = posizione;
        return this;
    }

    public Integer getPriorita() {
        return priorita;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setPriorita(Integer priorita) {
        this.priorita = priorita;
        return this;
    }

    public String getCodGruppo() {
        return codGruppo;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setCodGruppo(String codGruppo) {
        this.codGruppo = codGruppo;
        return this;
    }

    public String getGruppo() {
        return gruppo;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setGruppo(String gruppo) {
        this.gruppo = gruppo;
        return this;
    }

    public String getCodSgruppo() {
        return codSgruppo;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setCodSgruppo(String codSgruppo) {
        this.codSgruppo = codSgruppo;
        return this;
    }

    public String getSottogruppo() {
        return sottogruppo;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setSottogruppo(String sottogruppo) {
        this.sottogruppo = sottogruppo;
        return this;
    }

    public String getCodMart() {
        return codMart;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setCodMart(String codMart) {
        this.codMart = codMart;
        return this;
    }

    public String getDiacod() {
        return diacod;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setDiacod(String diacod) {
        this.diacod = diacod;
        return this;
    }

    public String getDescrizioneEstesa() {
        return descrizioneEstesa;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setDescrizioneEstesa(String descrizioneEstesa) {
        this.descrizioneEstesa = descrizioneEstesa;
        return this;
    }

    public String getPartitaMag() {
        return partitaMag;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setPartitaMag(String partitaMag) {
        this.partitaMag = partitaMag;
        return this;
    }

    public String getCodJcom() {
        return codJcom;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setCodJcom(String codJcom) {
        this.codJcom = codJcom;
        return this;
    }

    public String getCommessa() {
        return commessa;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setCommessa(String commessa) {
        this.commessa = commessa;
        return this;
    }

    public String getUntMis() {
        return untMis;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setUntMis(String untMis) {
        this.untMis = untMis;
        return this;
    }

    public BigDecimal getQtaCol() {
        return qtaCol;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setQtaCol(BigDecimal qtaCol) {
        this.qtaCol = qtaCol;
        return this;
    }

    public BigDecimal getNumCnf() {
        return numCnf;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setNumCnf(BigDecimal numCnf) {
        this.numCnf = numCnf;
        return this;
    }

    public BigDecimal getQtaCnf() {
        return qtaCnf;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setQtaCnf(BigDecimal qtaCnf) {
        this.qtaCnf = qtaCnf;
        return this;
    }

    public BigDecimal getPesoNettoKg() {
        return pesoNettoKg;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setPesoNettoKg(BigDecimal pesoNettoKg) {
        this.pesoNettoKg = pesoNettoKg;
        return this;
    }

    public BigDecimal getPesoLordoKg() {
        return pesoLordoKg;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setPesoLordoKg(BigDecimal pesoLordoKg) {
        this.pesoLordoKg = pesoLordoKg;
        return this;
    }

    public String getCodJfas() {
        return codJfas;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setCodJfas(String codJfas) {
        this.codJfas = codJfas;
        return this;
    }

    public LocalDate getDataScad() {
        return dataScad;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setDataScad(LocalDate dataScad) {
        this.dataScad = dataScad;
        return this;
    }

    public MtbAart getMtbAart() {
        return mtbAart;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setMtbAart(MtbAart mtbAart) {
        this.mtbAart = mtbAart;
        return this;
    }


    public boolean isPartitaMagMatch() {
        return partitaMagMatch;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setPartitaMagMatch(boolean partitaMagMatch) {
        this.partitaMagMatch = partitaMagMatch;
        return this;
    }

    public boolean isCommessaMatch() {
        return commessaMatch;
    }

    public DialogInfoSituazioneArticoloAvailableListItem setCommessaMatch(boolean commessaMatch) {
        this.commessaMatch = commessaMatch;
        return this;
    }

    public static DialogInfoSituazioneArticoloAvailableListItem fromMvwSitArtUdcDetInventario(MvwSitArtUdcDetInventario mvwSitArtUdcDetInventario) {
        return new DialogInfoSituazioneArticoloAvailableListItem()
                .setCodGruppo(mvwSitArtUdcDetInventario.getCodGruppo())
                .setCodJcom(mvwSitArtUdcDetInventario.getCodJcom())
                .setCodJfas(mvwSitArtUdcDetInventario.getCodJfas())
                .setCodMart(mvwSitArtUdcDetInventario.getCodMart())
                .setCodMdep(mvwSitArtUdcDetInventario.getCodMdep())
                .setCodSgruppo(mvwSitArtUdcDetInventario.getCodSgruppo())
                .setCommessa(mvwSitArtUdcDetInventario.getCommessa())
                .setDataCollo(mvwSitArtUdcDetInventario.getDataCollo())
                .setDescrizioneEstesa(mvwSitArtUdcDetInventario.getDescrizioneEstesa())
                .setDiacod(mvwSitArtUdcDetInventario.getDiacod())
                .setGestione(mvwSitArtUdcDetInventario.getGestione())
                .setGruppo(mvwSitArtUdcDetInventario.getGruppo())
                .setMtbAart(mvwSitArtUdcDetInventario.getMtbAart())
                .setNumCnf(mvwSitArtUdcDetInventario.getNumCnf())
                .setNumCollo(mvwSitArtUdcDetInventario.getNumCollo())
                .setPartitaMag(mvwSitArtUdcDetInventario.getPartitaMag())
                .setDataScad(mvwSitArtUdcDetInventario.getDataScad())
                .setPesoLordoKg(mvwSitArtUdcDetInventario.getPesoLordoKg())
                .setPesoNettoKg(mvwSitArtUdcDetInventario.getPesoNettoKg())
                .setPosizione(mvwSitArtUdcDetInventario.getPosizione())
                .setPriorita(mvwSitArtUdcDetInventario.getPriorita())
                .setQtaCnf(mvwSitArtUdcDetInventario.getQtaCnf())
                .setQtaCol(mvwSitArtUdcDetInventario.getQtaCol())
                .setSegno(mvwSitArtUdcDetInventario.getSegno())
                .setSerCollo(mvwSitArtUdcDetInventario.getSerCollo())
                .setSottogruppo(mvwSitArtUdcDetInventario.getSottogruppo())
                .setUntMis(mvwSitArtUdcDetInventario.getUntMis());
    }
}
